﻿using System;
using System.Windows;
using System.Windows.Media;
using Infragistics.Windows.Chart;

namespace xamChartRotation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Series s1 = new Series() { ChartType = ChartType.Column, Label = "USA" };
            s1.DataPoints.Add(new DataPoint() { Value = 4 });
            s1.DataPoints.Add(new DataPoint() { Value = 3 });
            s1.DataPoints.Add(new DataPoint() { Value = 5 });
            s1.DataPoints.Add(new DataPoint() { Value = 1 });

            Series s2 = new Series() { ChartType = ChartType.Column,  Label = "Bulgaria" };
            s2.DataPoints.Add(new DataPoint() { Value = 1 });
            s2.DataPoints.Add(new DataPoint() { Value = 9 });
            s2.DataPoints.Add(new DataPoint() { Value = 4 });
            s2.DataPoints.Add(new DataPoint() { Value = 7 });

            xamChart1.Series.Add(s1);
            xamChart1.Series.Add(s2);

            customlegend.ItemsSource = xamChart1.Series;
        }
    }
}

